dat <- read.csv("model_vs_lib.csv", sep=",", header = TRUE, row.names = 1)

par(mar=c(11,5,4,1))
boxplot(dat, border = "grey", col=rgb(0,0,0,alpha=0.0), outline = FALSE, boxlwd = 3, staplelwd=3, ylim=c(0,100), las=2, ylab="% of coverage in genome-scale\nmetabolic networks")
stripchart(dat, add=TRUE, xaxt='n', yaxt='n', ann=FALSE, method="jitter", jitter = 0.25, lwd=0.5, vertical = TRUE, pch = 16, cex = 0.6)


library(lattice)
library(grid)

rownames(dat) <- c('Drosophila melanogaster (Kegg)','Homo sapiens (Recon2)','Homo sapiens (BioCyc)','Homo sapiens (Kegg)','Mus musculus (BioCyc)','Mus musculus (Kegg)','Pan troglodytes (Kegg)','Rattus Norvegicus (BioModels)','Rattus Norvegicus (Kegg)','Saccharomyces cerevisiae (BioCyc)','Escherichia coli (BioCyc)','Escherichia coli (BIGG)','Arabidopsis thaliana (AraGEM)','Arabidopsis thaliana (PlantCyc)','Arabidopsis thaliana (Kegg)','Glycine max (PlantCyc)','Glycine max (Kegg)','Hordeum vulgare (PlantCyc)','Manihot esculenta (PlantCyc)','PlantCyc (PlantCyc)','Populus trichocarpa (PlantCyc)','Solanum lycopersicum (Kegg)','Solanum tuberosum (Kegg)','Vitis vinifera (PlantCyc)','Vitis vinifera (Kegg)','Zea mays (PlantCyc)','Leishmania major (BioModels)','Leishmania major (BioCyc)','Plasmodium berghei (BioCyc)','Plasmodium falciparum (BioCyc)','Plasmodium vivax (BioCyc)','Plasmodium yoelii (BioCyc)','Trypanosoma brucei (TrypanoCyc)','Bacteroides thetaiotaomicron (Metabolic Atlas)','Eubacterium rectale (Metabolic Atlas)','Methanobrevibacter smithii (Metabolic Atlas)','Bifidobacterium adolescentis (Metabolic Atlas)','Faecalibacterium prausnitzii (Metabolic Atlas)')
par(mar=c(15,7,6,2))
levelplot(t(as.matrix(dat)), xlab=NULL, ylab=NULL, cuts=50, col.regions = gray(100:0/100),
          scales=list(x=list(rot=90,cex=0.60),
          y=list(cex=0.60)),
          colorkey=list(labels=list(cex=0.60),width=1)
          )
